#ifndef _BLOCK_H_
#define _BLOCK_H_

#define STATUS_FILE "/usr/share/nfs-device-disable/status"

enum DeviceType{
    USB = 0,
    BLUETOOTH,
    WIRELESSNET,
    WIREDNET,
};

enum OperatType{
    BLOCK = 0,
    ALLOW,
};

enum DeviceInterfaceType{
    UsbInterface = 0,
    WirednetInterface,
    WirelessnetInterface,
};

enum UsbDeviceType{
    UsbStorage = 0,
    Camera,
    Bluetooth,
    Printer,
};

enum PermissionsDeviceType{
    BuiltInCdrom = 0,
    Cdrom,
    RemovableStorage,
};

int init_status_conf();
int set_device_control_status(int devicetype, int status);

int set_peripherals_control_switch(int status); // 外设管控功能开关接口
int set_interface_switch(int type, int status); // 接口控制接口
int set_device_switch(int type, int status); // 设备控制接口
int set_permission_switch(int type, int status);

int get_unauthorized_deviceinfo();
int get_rules();
int modify_rules(char* status, char* vid, char* pid, char* serial, char* name, char* withinterface, char* port);
int set_rules(char* flag, char* status, char* vid, char* pid, char* serial, char* name, char* withinterface, char* port);
int ImportFromXml(char *docname);
int ExportToXml(char *docname);

#endif